Add Reward, Point, or Credit Redemption
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/redeem \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"strict": true,
"amount": 123,
"meta": [
"<string>"
],
"transaction_external_id": "<string>",
"transaction_receipt_ref": "<string>",
"location_id": 123,
"strategies": [],
"benefits": [
{
"id": 123,
"handle": "<string>",
"quantity": 123
}
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/redeem"
payload = {
"currency": "<string>",
"strict": True,
"amount": 123,
"meta": ["<string>"],
"transaction_external_id": "<string>",
"transaction_receipt_ref": "<string>",
"location_id": 123,
"strategies": [],
"benefits": [
{
"id": 123,
"handle": "<string>",
"quantity": 123
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
strict: true,
amount: 123,
meta: ['<string>'],
transaction_external_id: '<string>',
transaction_receipt_ref: '<string>',
location_id: 123,
strategies: [],
benefits: [{id: 123, handle: '<string>', quantity: 123}]
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"profile_id": "<string>",
"total_localised": "<string>",
"total": "<string>",
"location_id": "<string>",
"balances": {
"reward_balance": "<string>",
"credit_balance": "<string>",
"point_balance": "<string>",
"point_balance_dollars": "<string>",
"benefit_balance": "<string>",
"combined_balance_dollars": "<string>",
"localised": {
"reward_balance": "<string>",
"point_balance_dollars": "<string>",
"combined_balance_dollars": "<string>"
},
"currency": {
"id": 123,
"from": "<string>",
"to": "<string>",
"rate": 123,
"is_system": true,
"created_at": "<string>",
"updated_at": "<string>"
}
},
"meta": "<string>",
"transaction_external_id": "<string>",
"transaction_receipt_ref": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"location": {
"id": "<string>",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"phone": "<string>",
"email": "<string>",
"external_id": "<string>",
"is_published": "<string>",
"is_permanently_closed": "<string>"
},
"currency": {
"id": 123,
"from": "<string>",
"to": "<string>",
"rate": 123,
"is_system": true,
"created_at": "<string>",
"updated_at": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Redeem Strategy
Add Reward, Point, or Credit Redemption
A POST to the /profiles/{profileId}/redeem endpoint allows your application to create Reward, Points, or Credits Redemption.
POST
/
v3
/
profiles
/
{profile}
/
redeem
Add Reward, Point, or Credit Redemption
Path Parameters
The profile ID
Body
application/json
Default to false
Minimum array length:
1Available options:
points, rewards, benefits, credits Show child attributes
Show child attributes
Response
Return the redemption.
SuccessfulRedemption
Show child attributes
Show child attributes
⌘I